
AppDir = "Wicky71Plugins.Notes2";
AppDirD = AppDir..".";
AppLocaleD = AppDirD.."Locale.";

-- Legend: 0 = invalid / 2 = English / 268435457 = EnglishGB / 268435459 = Francais / 268435460 = Deutsch / 268435463 = Russian
GLocale = Turbine.Engine.GetLanguage();
if GLocale == 268435460 then import (AppLocaleD.."de");
elseif GLocale == 268435459 then import (AppLocaleD.."fr");
--elseif GLocale == 268435463 then import (AppLocaleD.."ru");
else import (AppLocaleD.."en"); end;

import (AppDirD.."Settings");
LoadSettings();

import (AppDir);
LoadNote();

--Global variables;
isNew = false;
diff = 40;
Player = Turbine.Gameplay.LocalPlayer.GetInstance();
PN = Player:GetName();
PName = plugin:GetName();
PAutor = plugin:GetAuthor();
PVersion = plugin:GetVersion();

Notes2 = Notes2Window();
Notes2:SetVisible( Win_Visi );
Notes2:SetWantsKeyEvents( Win_Visi );

Notes2Command = Turbine.ShellCommand();

function Notes2Command:Execute( command, arguments )
	if command == 'Notes' or command == 'notes' then
		Notes2:SetVisible( not Notes2:IsVisible() );
		Notes2:SetWantsKeyEvents( not Notes2:GetWantsKeyEvents() );
		if Notes2:IsVisible() then Notes2:Activate(); end;
	elseif command == 'Notes_opt' or command == 'notes_opt' then
		Turbine.PluginManager.ShowOptions(Plugins["SimplyNotes"]);
	else
	
	end
end

function Notes2Command:GetHelp()
	return "Shows the Simply Notes window."; -- Sprache!!
end

function Notes2Command:GetShortHelp()
	return "Shows Simply Notes."; -- Sprache!!
end

Turbine.Shell.AddCommand( "Notes;Notes_opt", Notes2Command );
listCommandsCommand = Turbine.ShellCommand();

-- plugin load event
plugin.Load = function()
	Turbine.Shell.WriteLine( '****************************' );
	Turbine.Shell.WriteLine( L["MSGLoada"]..PName..L["MSGLoadb"]..PVersion..L["MSGLoadc"] );
	Turbine.Shell.WriteLine( L["MSGLoad1"] );
	Turbine.Shell.WriteLine( L["MSGLoad2"] );
	Turbine.Shell.WriteLine( L["MSGLoad3"] );
	Turbine.Shell.WriteLine( '****************************' );
end

-- plugin unload event
plugin.Unload = function()
	SaveSettings();
	Turbine.Shell.RemoveCommand( Notes2Command );
	Turbine.Shell.WriteLine( '****************************' );
	Turbine.Shell.WriteLine( L["MSGULoad"] );
	Turbine.Shell.WriteLine( '****************************' );
end

-- Options in Lotro-manager
plugin.GetOptionsPanel = function( self )
  return optionsPanel;
end
